fstdraw(1)

NAME
fstdraw - print an FST in DOT format

SYNOPSIS
fstdraw [OPTIONS] [binary.fst [text.dot]]

DESCRIPTION

Prints out binary FSTs in dot text format.

OPTIONS

Boolean options accept either true or false as a value, or the implicit value true if neither value is specified.

--acceptor[=BOOLEAN]
    Input in acceptor format. Default: false.

--allow_negative_labels[=BOOLEAN]
    Allow negative labels (not recommended; may cause conflicts). Default: false.

--float_format=STRING
    The floating point format to use, one of "e", "f", or "g". Default: "g".

--fontsize=INTEGER
    Set the font size. Default: 14.

--fst_align[=BOOLEAN]
    Write FST data aligned where appropriate. Default: false.

--fst_compat_symbols[=BOOLEAN]
    Require symbol tables to match when appropriate. Default: true.

--fst_default_cache_gc[=BOOLEAN]
    Enable garbage collection of cache. Default: true.

--fst_default_cache_gc_limit=N
    Set the cache byte size that triggers garbage collection. Default: 1048576.

--fst_error_fatal[=BOOLEAN]
    If true, FST errors are fatal. Otherwise, returned objects are flagged as bad. For example, FSTs are returned with the kError property set to true, and FST weights set so that Member() returns false. Default: true.

--fst_field_separator=STRING
    Set the characters used as a separator between printed fields. Default:
    "     ".

--fst_read_mode=STRING
    Set the default file reading mode for mappable files, either "read" or "map". Default: "read".

--fst_verify_properties[=BOOLEAN]
    Verify fst properties queried by TestProperties. Default: false.

--fst_weight_parentheses=STRING
    Set the characters enclosing the first weight of a printed composite weight (e.g., pair weight, tuple weight, and derived classes) to ensure proper I/O of nested composite weights. Must have size 0 (none) or 2 (open and close parenthesis). Default: no parentheses.

--fst_weight_separator=CHARACTER
    Set the character separator between printed composite weights. Default: comma.

--height=FLOATING_POINT
    Set the paper height in inches. Default: 11.0.

--help[=BOOLEAN]
    Show usage information. Default: false.

--helpshort[=BOOLEAN]
    Show brief usage information. Default: false.

--isymbols=FILENAME
    Set the input label symbol table. Default: "".

--nodesep=FLOATING_POINT
    Set the minimum separation between nodes. Default: 0.25.

--numeric[=BOOLEAN]
    Print numeric labels. Default: false.

--osymbols=FILENAME
    Set the output label symbol table. Default: "".

--portrait[=BOOLEAN]
    Print in portrait mode. Default: false (landscape).

--precision=INTEGER
    Set the floating point precision. Default: 5.

--ranksep=FLOATING_POINT
    Set the minimum separation between ranks. Default: 0.4.

--save_relabel_ipairs=FILENAME
    Save input relabel pairs to file. Default: do not save.

--save_relabel_opairs=FILENAME
    Save output relabel pairs to file. Default: do not save.

--show_weight_one[=BOOLEAN]
    Print/draw arc weights and final weights equal to Weight::One(). Default: false.

--ssymbols=FILENAME
    Set the state label symbol table. Default: "".

--title=TRING
    Set the figure title. Default: "".

--tmpdir=PATHNAME
    Set the temporary directory to use. Default: /tmp.

--v[=N]
    Set the verbosity level. Default: 0.

--vertical[=BOOLEAN]
    Draw bottom-to-top instead of left-to-right. Default: false.

--width=FLOATING_POINT
    Set the paper width in inches. Default: 8.5.

SEE ALSO

fstarcsort(1), fstclosure(1), fstcompile(1), fstcompose(1), fstcompress(1), fstconcat(1), fstconnect(1), fstconvert(1), fstdeterminize(1), fstdifference(1), fstdisambiguate(1), fstencode(1), fstepsnormalize(1), fstequal(1), fstequivalent(1), fstinfo(1), fstintersect(1), fstinvert(1), fstisomorphic(1), fstlinear(1), fstloglinearapply(1), fstmap(1), fstminimize(1), fstprint(1), fstproject(1), fstprune(1), fstpush(1), fstrandgen(1), fstrelabel(1), fstreplace(1), fstreverse(1), fstreweight(1), fstrmepsilon(1), fstshortestdistance(1), fstshortestpath(1), fstsymbols(1), fstsynchronize(1), fsttopsort(1), fstunion(1)